spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | Protected Attributes | List of all members
spot::named_graph< Graph, State_Name, Name_Hash, Name_Equal > Class Template Reference
Collaboration diagram for spot::named_graph< Graph, State_Name, Name_Hash, Name_Equal >:

## Public Types
typedef Graph::state | state
typedef Graph::edge | edge
typedef State_Name | name
typedef std::unordered_map < name, state, Name_Hash, Name_Equal > | name_to_state_t
typedef std::vector< name > | state_to_name_t

## Public Member Functions
| named_graph (Graph &g)
Graph & | graph ()
Graph & | graph () const
template<typename... Args>
state | new_state (name n, Args &&...args)
bool | alias_state (state s, name newname)
| Give an alternate name to a state. More...
state | get_state (name n) const
name | get_name (state s) const
bool | has_state (name n) const
const state_to_name_t & | names () const
template<typename... Args>
edge | new_edge (name src, name dst, Args &&...args)
template<typename I , typename... Args>
edge | new_univ_edge (name src, I dst_begin, I dst_end, Args &&...args)
template<typename... Args>
edge | new_univ_edge (name src, const std::initializer_list< State_Name > &dsts, Args &&...args)

## Public Attributes
name_to_state_t | name_to_state
state_to_name_t | state_to_name

## Protected Attributes
Graph & | g_

## Member Function Documentation

template<typename Graph , typename State_Name , typename Name_Hash = std::hash<State_Name>, typename Name_Equal = std::equal_to<State_Name>>

bool spot::named_graph< Graph, State_Name, Name_Hash, Name_Equal >::alias_state | ( | state | s,
|  | name | newname
| ) |  |
| inline

Give an alternate name to a state.

Returns
  true iff the newname state was already existing (in this case the existing newname state will be merged with state s: the newname will be unreachable and without successors.)

The documentation for this class was generated from the following file:

- spot/graph/ngraph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.